
GammaLib - Action #693

Feature # 692 (Closed): Perform an extensive interface review of all classes

Review interface for GModelSpectral classes

01/12/2013 05:16 PM - Knödlseder Jürgen

Status: Closed Start date: 01/12/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

Related issues:

Related to GammaLib - Action # 773: Review model module classes Closed 02/20/2013

History

#1 - 01/12/2013 05:21 PM - Knödlseder Jürgen

The interface for all derived classes from GModelSpectral should be reviewed.

Each class should have a constructor that allows full autonomous construction of the model. This means that it has to take all parameters as

arguments that a required to build the model. So far this is not the case. Some of the parameters that are rarely changed may be defined with default

values.

Each class should have methods to retrieve and to set all parameters. Parameter names should be consistent throughout all classes. So far, classes

have generally get methods but no set methods.

We may also add to GModelSpectral a general parameter access operator, so that parameters can be accessed through the abstract interface. The

operator can take indices, but it could also take names. Maybe we should have both.

#2 - 04/03/2013 04:40 PM - Knödlseder Jürgen

- Status changed from New to Feedback

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

- Remaining (hours) set to 0.0

Done with action #733.

#3 - 12/03/2013 09:59 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed

- Estimated time set to 0.00
